## LassoDiscoEncryptedResourceID LassoDiscoEncryptedResourceID — <disco:EncryptedResourceID> |

## Functions

LassoDiscoEncryptedResourceID * | lasso_disco_encrypted_resource_id_new ()

## Types and Values

struct | LassoDiscoEncryptedResourceID

## Description

Figure 102. Schema fragment for disco:EncryptedResourceID

    <xs:element name="EncryptedResourceID" type="EncryptedResourceIDType"/>
    <xs:complexType name="EncryptedResourceIDType">
       <xs:sequence>
          <xs:element ref="xenc:EncryptedData"/>
          <xs:element ref="xenc:EncryptedKey"/>
       </xs:sequence>
    </xs:complexType>

## Functions

### lasso_disco_encrypted_resource_id_new ()

    LassoDiscoEncryptedResourceID *
    lasso_disco_encrypted_resource_id_new ();

## Types and Values

### struct LassoDiscoEncryptedResourceID

    struct LassoDiscoEncryptedResourceID {
    	LassoNode parent;

    	xmlNode *EncryptedData;
    	GList *EncryptedKey; /* of xmlNode* */
    };